# TCP/IP

TCP/IP传输协议，即传输控制/网络协议，也叫作网络通讯协议。它是在网络的使用中的最基本的通信协议，对互联网中各部分进行通信的标准和方法进行了规定。用户可以通过机械臂的IP地址连接机械臂，达到无需连接USB端口也可以远程操作机械臂的效果。



## RDK X5 系统远程连接

- 使用RDK X5远程连接时，需要注意以下几点
   1.RDK X5和控制端需要在同一网络
   2.服务器文件（更改为Server_280.py）需要先在RDKX5中执行（具体操作见下方gif操作图）
   3、服务器文件执行后，提示“Binding succeeded” 和 “waiting connect ”表示开启成功，控制端可参考**案例**进行控制

![Server](../../../resource\3-FunctionsAndApplications\6.developmentGuide\python\TCPorIP/Server.gif)

*具体操作为：*

*克隆我们的项目库：*`git clone https://github.com/elephantrobotics/pymycobot.git`

*在demo文件夹中找到 [Server_280.py](https://github.com/elephantrobotics/pymycobot/blob/main/demo/Server_280.py)文件* 

请根据您的机器型号更改Server_280.py文件最后一行MyCobotServer中传递的参数。

- 默认机型为280 RDKX5。
- 默认参数为：
   - 串口号：/dev/ttyS1
   - 波特率：1000000

使用 python执行


### 案例

在PC电脑端运行：

```python
from pymycobot import MyCobot280RDKX5Socket
# 默认使用9000端口
#其中"172.20.10.14"为机械臂IP，请自行输入你的机械臂IP
mc = MyCobot280RDKX5Socket("172.20.10.14",9000)  

#连接正常就可以对机械臂进行控制操作
mc.send_angles([0,0,0,0,0,0],20)
res = mc.get_angles()
print(res)

...

```
